RUDOF(SHEX-VALIDATE)

NAME
rudof shex-validate - Validate RDF using ShEx schemas

SYNOPSIS
rudof shex-validate [OPTIONS] [DATA]...

DESCRIPTION
Validate RDF using ShEx schemas

  Arguments:

    [DATA]...

OPTIONS

-s, --schema <INPUT>

    Schema file name, URI or - (for stdin)

--compiled-schema <FILE>

    Precompiled ShEx SchemaIR cache file.

--compile-to <FILE>

    Compile the ShEx schema and write the precompiled SchemaIR cache to FILE.

-f, --schema-format <FORMAT>

    ShEx Schema format

    [default: shexc] [possible values: internal, simple, shexc, shexj, json, jsonld, turtle, ntriples, rdfxml, trig, n3, nquads]

-m, --shapemap <INPUT>

    ShapeMap

--shapemap-format <FORMAT>

    ShapeMap format

    [possible values: compact, internal, json, details, csv]

-n, --node <NODE>

    Node to validate

--sort_by <SORT_MODE>

    Sort result by (default = node)

    [default: node] [possible values: node, shape, status, details]

-l, --shape-label <LABEL>

    shape label (default = START)

-t, --data-format <FORMAT>

    RDF Data format

    [default: turtle] [possible values: turtle, ntriples, rdfxml, trig, n3, nquads, jsonld, pg]

--base-schema <IRI>

    Base Schema (used to resolve relative IRIs in Schema)

--base-data <IRI>

    Base RDF Data IRI (used to resolve relative IRIs in RDF data)

--reader-mode <MODE>

    RDF Reader mode

    [default: strict] [possible values: lax, strict]

-r, --result-format <FORMAT>

    Ouput result format

    [default: details] [possible values: details, turtle, ntriples, rdfxml, trig, n3, nquads, compact, json, csv]

--map-state <FILE>

    MapState file name

--strict-iris

    Require <> brackets around IRIs (strict mode). By default bare http://??? IRIs are accepted (lax mode).

--external-resolver <SPEC>

    External-shape resolver spec. Repeatable. Syntax: <kind>[:<arg>]. Built-in kinds: 'reject-all', 'schema:<path>'. Use --list-external-resolvers to enumerate.

--list-external-resolvers

    Print the available external-shape resolver kinds and exit

-c, --config-file <FILE>

    Config file name

-o, --output-file <FILE>

    Output file name, default = terminal

--force-overwrite

    Force overwrite to output file if it already exists

--backend <BACKEND>

    Choose which RDF data backend to load the input into.

    - `memory` (default): parse into an in-process oxrdf::Graph. - `qlever`: launch a local QLever Docker container and index the input on disk. Requires the binary to be built with the `qlever` feature. - `endpoint=<URL_OR_NAME>`: query an external SPARQL endpoint by URL or by the name of an endpoint registered in the TOML config. See also the `--endpoint` / `-e` shortcut.

-e, --endpoint <URL_OR_NAME>

    Shortcut for `--backend endpoint=<URL_OR_NAME>`.

    Accepts either a full SPARQL endpoint URL or the name of an endpoint registered in the TOML config. Mutually exclusive with `--backend`.

-h, --help

    Print help (see a summary with '-h')